Bug 122648 - ide device errors with 351 kernel
ide device errors with 351 kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-06 12:29 EDT by Gene Czarcinski
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-08 11:43:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages with ide errors (63.14 KB, text/plain)
2004-05-06 12:29 EDT, Gene Czarcinski
no flags Details
/var/log/message -- kernel=353 (58.37 KB, text/plain)
2004-05-07 04:52 EDT, Gene Czarcinski
no flags Details

  None (edit)
Description Gene Czarcinski 2004-05-06 12:29:00 EDT
Description of problem:
Installed 351 kernel along with other available updates on i386 and
x86_64 systems.  The x86_64 is ASUS SK8V motherboard with Opteron 140
and Maxtor 120GB drives on ide and SATA-IDE.

With the 351 kernel, I get errors (with or without selinux running). 
I do not get these errors with the 350 kernel or on a i386 dual
processor with ide drives.  Attaching /var/log/messages.
Comment 1 Gene Czarcinski 2004-05-06 12:29:51 EDT
Created attachment 100048 [details]
/var/log/messages with ide errors
Comment 2 Kevin Francis 2004-05-06 13:44:42 EDT
From my syslog:

May  6 23:40:17 aerie kernel: hda: task_no_data_intr: status=0x51 {
DriveReady SeekComplete Error }

I got about 50 of those before I rebooted with an older kernel.

That error was received upon reboot with kernel-2.6.5-1.351. Before
that, I never received this error. Upon rebooting with the kernel
preceding it, the error disappeared.

My hardware:

AMD Athlon XP 2500+ (barton)
MSI VIA KT6V motherboard w/ KT600 chipset

The hard disk output from smartctl -a /dev/hda:

Device Model:     Maxtor 6Y080L0
Serial Number:    Y2DF4YKE
Firmware Version: YAR41BW0
Device is:        In smartctl database [for details use: -P show]
ATA Version is:   7
ATA Standard is:  ATA/ATAPI-7 T13 1532D revision 0
Local Time is:    Fri May  7 00:31:51 2004 MYT
SMART support is: Available - device has SMART capability.
SMART support is: Enabled


Any other information will be made available if needed. Thanks.
Comment 3 Arjan van de Ven 2004-05-06 13:59:18 EDT
can one of you put the contents of /proc/ide/hda/identify to this bug
please ?
Comment 4 Gene Czarcinski 2004-05-06 18:01:02 EDT
This was done running on the 350 kernel ... if you need it while I run
the 351 kernel, please ask.


hdparm -i /dev/hda
 
/dev/hda:
 
 Model=Maxtor 6Y120P0, FwRev=YAR41BW0, SerialNo=Y329G08E
 Config={ Fixed }
 RawCHS=16383/16/63, TrkSize=0, SectSize=0, ECCbytes=57
 BuffType=DualPortCache, BuffSize=7936kB, MaxMultSect=16, MultSect=16
 CurCHS=16383/16/63, CurSects=16514064, LBA=yes, LBAsects=240121728
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes:  pio0 pio1 pio2 pio3 pio4
 DMA modes:  mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 udma4 udma5 *udma6
 AdvancedPM=yes: disabled (255) WriteCache=enabled
 Drive conforms to: (null):
 
 * signifies the current active mode
----------------------------------------------------------------------
cat /proc/ide/hda/identify
0040 3fff c837 0010 0000 0000 003f 0000
0000 0000 5933 3239 4730 3845 2020 2020
2020 2020 2020 2020 0003 3e00 0039 5941
5234 3142 5730 4d61 7874 6f72 2036 5931
3230 5030 2020 2020 2020 2020 2020 2020
2020 2020 2020 2020 2020 2020 2020 8010
0000 2f00 4000 0200 0000 0007 3fff 0010
003f fc10 00fb 0110 f780 0e4f 0000 0007
0003 0078 0078 0078 0078 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
00fe 001e 7c6b 7b09 4003 7c69 3a01 4003
407f 0000 0000 0000 fffe 600b c0fe 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0009 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0001 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 8ca5

I can also get /dev/hde (SATA drive) if you need that.
Comment 5 Gene Czarcinski 2004-05-06 18:25:55 EDT
OK, with the 353 kernel, the error messages are gone for /dev/hda. 
However, they are still there for the SATA drive:

hde: task_no_data_intr: status=0x51 { DriveReady SeekComplete Error }
hde: task_no_data_intr: error=0x04 { DriveStatusError }
hde: Write Cache FAILED Flushing!

cat /proc/ide/hde/identify
0040 3fff c837 0010 0000 0000 003f 0000
0000 0000 5933 4c57 3335 3845 2020 2020
2020 2020 2020 2020 0003 3e00 0004 5941
5235 3145 5730 4d61 7874 6f72 2036 5931
3230 4d30 2020 2020 2020 2020 2020 2020
2020 2020 2020 2020 2020 2020 2020 8010
0000 2f00 4000 0200 0000 0007 3fff 0010
003f fc10 00fb 0110 f780 0e4f 0000 0407
0003 0078 0078 0078 0078 0000 0000 0000
0000 0000 0000 0000 0001 0000 0000 0000
00fe 001e 7c6b 7b09 4003 7c69 3a01 4003
407f 0000 0000 0000 fffe 0000 c0fe 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0001 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0017 2040
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 8fa5
---------------------------------------------------------
hdparm -i /dev/hde
 
/dev/hde:
 
 Model=Maxtor 6Y120M0, FwRev=YAR51EW0, SerialNo=Y3LW358E
 Config={ Fixed }
 RawCHS=16383/16/63, TrkSize=0, SectSize=0, ECCbytes=4
 BuffType=DualPortCache, BuffSize=7936kB, MaxMultSect=16, MultSect=16
 CurCHS=16383/16/63, CurSects=16514064, LBA=yes, LBAsects=240121728
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes:  pio0 pio1 pio2 pio3 pio4
 DMA modes:  mdma0 mdma1 *mdma2
 UDMA modes: udma0 udma1 udma2
 AdvancedPM=yes: disabled (255) WriteCache=enabled
 Drive conforms to: (null):
 
 * signifies the current active mode
Comment 6 Arjan van de Ven 2004-05-07 03:20:10 EDT
at which point in time do you get these ?
Comment 7 Kevin Francis 2004-05-07 03:50:22 EDT
For me it happens anytime the partition /home is accessed. From ide
probing onwards I think. Apart from that, throughout the time of
access/usage (not particularly high either).
Comment 8 Gene Czarcinski 2004-05-07 04:51:12 EDT
I am not currently using the SATA hde drive under FC2 because of other
reasons (performance) --
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=122687

I am only seeing one set of hde error messages on the boot console
(after "mounting other file systems") and only once in dmesg:

Bluetooth: RFCOMM ver 1.2
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
hde: task_no_data_intr: status=0x51 { DriveReady SeekComplete Error }
hde: task_no_data_intr: error=0x04 { DriveStatusError }
hde: Write Cache FAILED Flushing!
parport0: PC-style at 0x378 [PCSPP]
lp0: using parport0 (polling).
lp0: console ready

However, when I look in /var/log/messages I see lots of not only hde
messages but also hda messages ... with the 353 kernel.  Are you just
filtering these error messages from being obviously seen?  Again, I
ask just what is the meaning of these error messages?

I am attaching the /var/log/messages for a recent bootup.
Comment 9 Gene Czarcinski 2004-05-07 04:52:20 EDT
Created attachment 100067 [details]
/var/log/message -- kernel=353
Comment 10 Arjan van de Ven 2004-05-07 06:38:07 EDT
I'm uploading a 354 right now, please test
Comment 11 Gene Czarcinski 2004-05-07 08:11:04 EDT
Sorry about that but I need the x86_64 kernels and I only see i686.
Comment 12 Féliciano Matias 2004-05-07 15:01:58 EDT
With 2.6.5-1.353.i686
hdparm -i /dev/hda
 
/dev/hda:
 
 Model=Maxtor 6Y080L0, FwRev=YAR41BW0, SerialNo=Y28G0SEE
 Config={ Fixed }
 RawCHS=16383/16/63, TrkSize=0, SectSize=0, ECCbytes=57
 BuffType=DualPortCache, BuffSize=2048kB, MaxMultSect=16, MultSect=off
 CurCHS=4047/16/255, CurSects=16511760, LBA=yes, LBAsects=160086528
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes:  pio0 pio1 pio2 pio3 pio4
 DMA modes:  mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 udma4 *udma5 udma6
 AdvancedPM=yes: disabled (255) WriteCache=enabled
 Drive conforms to: (null):
 
 * signifies the current active mode
 


cat /proc/ide/hde/identify
0040 19bc 0000 0010 0000 0000 003f 3031
3031 0000 5632 314e 5a30 4d41 2020 2020
2020 2020 2020 2020 0003 0200 001d 5041
5332 3342 3135 4d61 7874 6f72 2039 3033
3430 4432 2020 2020 2020 2020 2020 2020
2020 2020 2020 2020 2020 2020 2020 8010
0000 2f00 0000 0200 0200 0007 19bc 0010
003f 5440 0065 0100 5440 0065 0000 0407
0003 0078 0078 0078 0078 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
001e 0017 7c69 4001 4000 7c69 4001 4000
0007 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0258
3342 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000


dmesg | grep ^hda:"
hda: Maxtor 6Y080L0, ATA DISK drive
hda: max request size: 128KiB
hda: 160086528 sectors (81964 MB) w/2048KiB Cache, CHS=65535/16/63,
UDMA(100)
hda: task_no_data_intr: status=0x51 { DriveReady SeekComplete Error }
hda: task_no_data_intr: error=0x04 { DriveStatusError }
hda: Write Cache FAILED Flushing!
[...]

I'll try 354 soon.
Comment 13 Féliciano Matias 2004-05-07 15:17:23 EDT
Try with 354. No change.
Comment 14 Féliciano Matias 2004-05-07 16:09:04 EDT
Big mistake in comment #12 . Forget the previous dump of 
/proc/ide/hde/identify .

My problem is with hda .

cat /proc/ide/hda/identify
0040 3fff c837 0010 0000 0000 003f 0000
0000 0000 5932 3847 3053 4545 2020 2020
2020 2020 2020 2020 0003 1000 0039 5941
5234 3142 5730 4d61 7874 6f72 2036 5930
3830 4c30 2020 2020 2020 2020 2020 2020
2020 2020 2020 2020 2020 2020 2020 8010
0000 2f00 4000 0200 0000 0007 0fcf 0010
00ff f310 00fb 0100 ba00 098a 0000 0007
0003 0078 0078 0078 0078 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
00fe 001e 7c6b 7b09 4003 7c68 3a01 4003
207f 0000 0000 0000 fffe 600b c0fe 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0009 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0001 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 eea5


Sincere apologies...
Comment 15 Gene Czarcinski 2004-05-08 11:43:49 EDT
Installed kernel-2.6.5-1.356 from development and everything looks
good (no messages on either hda or hde not only in dmesg but no
messages in /var/log/messages.  Closing this report.

Note You need to log in before you can comment on or make changes to this bug.